{
  "name": "starter-express",
  "version": "1.0.0",
  "main": "build/index.js",
  "author": "Vojtěch Rychnovský",
  "private": true,
  "engines": {
    "node": ">=10.6.0"
  },
  "scripts": {
    "deploy:dev": "tsc && serverless deploy --env dev",
    "deploy:prod": "tsc && serverless deploy --env prod",
    "start": "env-cmd -f ./environment/.env.dev tsc-watch --onSuccess 'functions-framework --target=api'",
    "debug": "tsc && env-cmd -f ./environment/.env.dev node --nolazy --inspect-brk=9229 node_modules/@google-cloud/functions-framework/build/src/index.js --target=api",
    "test": "env-cmd -f ./environment/.env.dev jest",
    "format": "prettier --write '**/*.ts'",
    "lint": "eslint ./src --ext .ts,.js",
    "type-check": "tsc --noEmit"
  },
  "devDependencies": {
    "@google-cloud/functions-framework": "^1.4.0",
    "@types/cors": "^2.8.6",
    "@types/express": "^4.17.2",
    "@types/jest": "^25.1.2",
    "@types/node": "^13.7.0",
    "@types/nodemailer": "^6.4.0",
    "env-cmd": "^10.0.1",
    "eslint-config-prettier": "^6.10.0",
    "husky": "^4.2.1",
    "jest": "^25.1.0",
    "lint-staged": "^10.0.7",
    "prettier": "^1.19.1",
    "serverless": "^1.63.0",
    "serverless-dotenv-plugin": "^2.3.1",
    "serverless-google-cloudfunctions": "^2.4.0",
    "ts-jest": "^25.2.0",
    "ts-node": "^8.6.2",
    "tsc-watch": "^4.1.0",
    "typescript": "^3.7.5"
  },
  "dependencies": {
    "@strv/eslint-config-node": "^2.2.0",
    "@strv/eslint-config-typescript": "^2.1.5",
    "cors": "^2.8.5",
    "eslint": "^6.8.0",
    "express": "^4.17.1",
    "nodemailer": "^6.4.2"
  }
}
